Get API Keys of the Current User - Cognigy Documentation
Get API Keys of the Current User
Request
GET /v2.1/users/me/apikeys
cURL Example
curl --request GET \
--url https://api-trial.cognigy.ai/new/v2.1/users/me/apikeys \
--header 'X-API-Key: <api-key>'
Python Example
import requests
url = "https://api-trial.cognigy.ai/new/v2.1/users/me/apikeys"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript Example (Fetch API)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.1/users/me/apikeys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.1/users/me/apikeys",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: <api-key>"],
]);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
Go Example
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.1/users/me/apikeys"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
- 200: Success
- 400: Bad Request
- 401: Unauthorized
- 402: Payment Required
- 403: Forbidden
- 404: Not Found
- 500: Internal Server Error
Response Example
{
"items": [
{
"_id": "<string>",
"name": "<string>",
"createdAt": 123
}
],
"total": 1,
"nextCursor": "<string>",
"previousCursor": "<string>"
}
Error Response Example
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f"
}